  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 7;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (iy4rln5qm33)
    ;%
      section.nData     = 166;
      section.data(166)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.CircleT
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.EnableCP
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% iy4rln5qm33.GD
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% iy4rln5qm33.GI
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% iy4rln5qm33.GP
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% iy4rln5qm33.LP
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% iy4rln5qm33.LongR
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% iy4rln5qm33.ProgramMode
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% iy4rln5qm33.SPK_FREQ_RB
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% iy4rln5qm33.SPK_VOL
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% iy4rln5qm33.ShortR
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
	  ;% iy4rln5qm33.WD
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 11;
	
	  ;% iy4rln5qm33.WI
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 12;
	
	  ;% iy4rln5qm33.WP
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 13;
	
	  ;% iy4rln5qm33.WheelBase
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 14;
	
	  ;% iy4rln5qm33.WheelR
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 15;
	
	  ;% iy4rln5qm33.goBack
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 16;
	
	  ;% iy4rln5qm33.goBackP
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 18;
	
	  ;% iy4rln5qm33.goFor
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 19;
	
	  ;% iy4rln5qm33.goForP
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 21;
	
	  ;% iy4rln5qm33.goLeft
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 22;
	
	  ;% iy4rln5qm33.goLeftP
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 24;
	
	  ;% iy4rln5qm33.goRight
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 25;
	
	  ;% iy4rln5qm33.goRightP
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 27;
	
	  ;% iy4rln5qm33.goUTern
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 28;
	
	  ;% iy4rln5qm33.hok_t0
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 30;
	
	  ;% iy4rln5qm33.hok_t1
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 31;
	
	  ;% iy4rln5qm33.hok_t2
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 32;
	
	  ;% iy4rln5qm33.hok_t3
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 33;
	
	  ;% iy4rln5qm33.hok_v1
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 34;
	
	  ;% iy4rln5qm33.hok_v2
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 35;
	
	  ;% iy4rln5qm33.zengo_v
	  section.data(32).logicalSrcIdx = 31;
	  section.data(32).dtTransOffset = 36;
	
	  ;% iy4rln5qm33.DiscreteDerivative2_ICPrevScale
	  section.data(33).logicalSrcIdx = 32;
	  section.data(33).dtTransOffset = 37;
	
	  ;% iy4rln5qm33.DiscreteDerivative3_ICPrevScale
	  section.data(34).logicalSrcIdx = 33;
	  section.data(34).dtTransOffset = 38;
	
	  ;% iy4rln5qm33.DiscreteDerivative1_ICPrevScale
	  section.data(35).logicalSrcIdx = 34;
	  section.data(35).dtTransOffset = 39;
	
	  ;% iy4rln5qm33.DiscreteDerivative1__a2j0ldkmxw
	  section.data(36).logicalSrcIdx = 35;
	  section.data(36).dtTransOffset = 40;
	
	  ;% iy4rln5qm33.Timerstart4_const
	  section.data(37).logicalSrcIdx = 36;
	  section.data(37).dtTransOffset = 41;
	
	  ;% iy4rln5qm33.Timerstart2_const
	  section.data(38).logicalSrcIdx = 37;
	  section.data(38).dtTransOffset = 42;
	
	  ;% iy4rln5qm33.Timerstart3_const
	  section.data(39).logicalSrcIdx = 38;
	  section.data(39).dtTransOffset = 43;
	
	  ;% iy4rln5qm33.Timerstart11_const
	  section.data(40).logicalSrcIdx = 39;
	  section.data(40).dtTransOffset = 44;
	
	  ;% iy4rln5qm33.Timerstart10_const
	  section.data(41).logicalSrcIdx = 40;
	  section.data(41).dtTransOffset = 45;
	
	  ;% iy4rln5qm33.Timerstart12_const
	  section.data(42).logicalSrcIdx = 41;
	  section.data(42).dtTransOffset = 46;
	
	  ;% iy4rln5qm33.Timerstart16_const
	  section.data(43).logicalSrcIdx = 42;
	  section.data(43).dtTransOffset = 47;
	
	  ;% iy4rln5qm33.Timerstart6_const
	  section.data(44).logicalSrcIdx = 43;
	  section.data(44).dtTransOffset = 48;
	
	  ;% iy4rln5qm33.Timerstart14_const
	  section.data(45).logicalSrcIdx = 44;
	  section.data(45).dtTransOffset = 49;
	
	  ;% iy4rln5qm33.Timerstart1_const
	  section.data(46).logicalSrcIdx = 45;
	  section.data(46).dtTransOffset = 50;
	
	  ;% iy4rln5qm33.Timerstart8_const
	  section.data(47).logicalSrcIdx = 46;
	  section.data(47).dtTransOffset = 51;
	
	  ;% iy4rln5qm33.Timerstart7_const
	  section.data(48).logicalSrcIdx = 47;
	  section.data(48).dtTransOffset = 52;
	
	  ;% iy4rln5qm33.Timerstart5_const
	  section.data(49).logicalSrcIdx = 48;
	  section.data(49).dtTransOffset = 53;
	
	  ;% iy4rln5qm33.Timerstart9_const
	  section.data(50).logicalSrcIdx = 49;
	  section.data(50).dtTransOffset = 54;
	
	  ;% iy4rln5qm33.CompareToConstant2_const
	  section.data(51).logicalSrcIdx = 50;
	  section.data(51).dtTransOffset = 55;
	
	  ;% iy4rln5qm33.CompareToConstant6_const
	  section.data(52).logicalSrcIdx = 51;
	  section.data(52).dtTransOffset = 56;
	
	  ;% iy4rln5qm33.CompareToConstant10_const
	  section.data(53).logicalSrcIdx = 52;
	  section.data(53).dtTransOffset = 57;
	
	  ;% iy4rln5qm33.CompareToConstant1_const
	  section.data(54).logicalSrcIdx = 53;
	  section.data(54).dtTransOffset = 58;
	
	  ;% iy4rln5qm33.CompareToConstant3_const
	  section.data(55).logicalSrcIdx = 54;
	  section.data(55).dtTransOffset = 59;
	
	  ;% iy4rln5qm33.CompareToConstant_const
	  section.data(56).logicalSrcIdx = 55;
	  section.data(56).dtTransOffset = 60;
	
	  ;% iy4rln5qm33.CompareToConstant2_c_aqyhgimuxl
	  section.data(57).logicalSrcIdx = 56;
	  section.data(57).dtTransOffset = 61;
	
	  ;% iy4rln5qm33.CoulombViscousFriction_gain
	  section.data(58).logicalSrcIdx = 57;
	  section.data(58).dtTransOffset = 62;
	
	  ;% iy4rln5qm33.CoulombViscousFricti_pjn3dcr3gn
	  section.data(59).logicalSrcIdx = 58;
	  section.data(59).dtTransOffset = 63;
	
	  ;% iy4rln5qm33.CoulombViscousFriction_offset
	  section.data(60).logicalSrcIdx = 59;
	  section.data(60).dtTransOffset = 64;
	
	  ;% iy4rln5qm33.CoulombViscousFricti_drznixwfij
	  section.data(61).logicalSrcIdx = 60;
	  section.data(61).dtTransOffset = 65;
	
	  ;% iy4rln5qm33.DetectChange_vinit
	  section.data(62).logicalSrcIdx = 61;
	  section.data(62).dtTransOffset = 66;
	
	  ;% iy4rln5qm33.Constant1_Value
	  section.data(63).logicalSrcIdx = 62;
	  section.data(63).dtTransOffset = 67;
	
	  ;% iy4rln5qm33.Out_Y0
	  section.data(64).logicalSrcIdx = 63;
	  section.data(64).dtTransOffset = 68;
	
	  ;% iy4rln5qm33.Constant3_Value
	  section.data(65).logicalSrcIdx = 64;
	  section.data(65).dtTransOffset = 69;
	
	  ;% iy4rln5qm33._UpperSat
	  section.data(66).logicalSrcIdx = 65;
	  section.data(66).dtTransOffset = 70;
	
	  ;% iy4rln5qm33._LowerSat
	  section.data(67).logicalSrcIdx = 66;
	  section.data(67).dtTransOffset = 71;
	
	  ;% iy4rln5qm33.EnableLineTrace1_Gain
	  section.data(68).logicalSrcIdx = 67;
	  section.data(68).dtTransOffset = 72;
	
	  ;% iy4rln5qm33.Switch3_Threshold
	  section.data(69).logicalSrcIdx = 68;
	  section.data(69).dtTransOffset = 73;
	
	  ;% iy4rln5qm33.Switch2_Threshold
	  section.data(70).logicalSrcIdx = 69;
	  section.data(70).dtTransOffset = 74;
	
	  ;% iy4rln5qm33.Gyro_Value
	  section.data(71).logicalSrcIdx = 70;
	  section.data(71).dtTransOffset = 75;
	
	  ;% iy4rln5qm33.NoPower1_Value
	  section.data(72).logicalSrcIdx = 71;
	  section.data(72).dtTransOffset = 76;
	
	  ;% iy4rln5qm33.NoPower_Value
	  section.data(73).logicalSrcIdx = 72;
	  section.data(73).dtTransOffset = 77;
	
	  ;% iy4rln5qm33.Gain5_Gain
	  section.data(74).logicalSrcIdx = 73;
	  section.data(74).dtTransOffset = 78;
	
	  ;% iy4rln5qm33.Constant7_Value
	  section.data(75).logicalSrcIdx = 74;
	  section.data(75).dtTransOffset = 79;
	
	  ;% iy4rln5qm33.Constant3_Value_oywmk54fo2
	  section.data(76).logicalSrcIdx = 75;
	  section.data(76).dtTransOffset = 80;
	
	  ;% iy4rln5qm33.DeadZone_Start
	  section.data(77).logicalSrcIdx = 76;
	  section.data(77).dtTransOffset = 81;
	
	  ;% iy4rln5qm33.DeadZone_End
	  section.data(78).logicalSrcIdx = 77;
	  section.data(78).dtTransOffset = 82;
	
	  ;% iy4rln5qm33.Out1_Y0
	  section.data(79).logicalSrcIdx = 78;
	  section.data(79).dtTransOffset = 83;
	
	  ;% iy4rln5qm33.Out1_Y0_ownerdvhzs
	  section.data(80).logicalSrcIdx = 79;
	  section.data(80).dtTransOffset = 84;
	
	  ;% iy4rln5qm33.Out1_Y0_jfwqcrstyq
	  section.data(81).logicalSrcIdx = 80;
	  section.data(81).dtTransOffset = 85;
	
	  ;% iy4rln5qm33.Out1_Y0_psumpewf5s
	  section.data(82).logicalSrcIdx = 81;
	  section.data(82).dtTransOffset = 86;
	
	  ;% iy4rln5qm33.Out1_Y0_mophtq2euh
	  section.data(83).logicalSrcIdx = 82;
	  section.data(83).dtTransOffset = 87;
	
	  ;% iy4rln5qm33.Out1_Y0_cn3klqmhf1
	  section.data(84).logicalSrcIdx = 83;
	  section.data(84).dtTransOffset = 88;
	
	  ;% iy4rln5qm33.Out1_Y0_asvx3jg3pp
	  section.data(85).logicalSrcIdx = 84;
	  section.data(85).dtTransOffset = 89;
	
	  ;% iy4rln5qm33.Out1_Y0_ddfyikwtom
	  section.data(86).logicalSrcIdx = 85;
	  section.data(86).dtTransOffset = 90;
	
	  ;% iy4rln5qm33.Out1_Y0_monrfm51cr
	  section.data(87).logicalSrcIdx = 86;
	  section.data(87).dtTransOffset = 91;
	
	  ;% iy4rln5qm33.Out1_Y0_li10crnuds
	  section.data(88).logicalSrcIdx = 87;
	  section.data(88).dtTransOffset = 92;
	
	  ;% iy4rln5qm33.Gain_Gain
	  section.data(89).logicalSrcIdx = 88;
	  section.data(89).dtTransOffset = 93;
	
	  ;% iy4rln5qm33.Gain1_Gain
	  section.data(90).logicalSrcIdx = 89;
	  section.data(90).dtTransOffset = 94;
	
	  ;% iy4rln5qm33.ConvertmSec_Gain
	  section.data(91).logicalSrcIdx = 90;
	  section.data(91).dtTransOffset = 95;
	
	  ;% iy4rln5qm33.Constant6_Value
	  section.data(92).logicalSrcIdx = 91;
	  section.data(92).dtTransOffset = 96;
	
	  ;% iy4rln5qm33._Gain
	  section.data(93).logicalSrcIdx = 92;
	  section.data(93).dtTransOffset = 97;
	
	  ;% iy4rln5qm33.Switch4_Threshold
	  section.data(94).logicalSrcIdx = 93;
	  section.data(94).dtTransOffset = 98;
	
	  ;% iy4rln5qm33.Constant3_Value_ewj4oboccz
	  section.data(95).logicalSrcIdx = 94;
	  section.data(95).dtTransOffset = 99;
	
	  ;% iy4rln5qm33.DataStoreMemory_InitialValue
	  section.data(96).logicalSrcIdx = 95;
	  section.data(96).dtTransOffset = 100;
	
	  ;% iy4rln5qm33.Gain_Gain_mwfnlkpblc
	  section.data(97).logicalSrcIdx = 96;
	  section.data(97).dtTransOffset = 101;
	
	  ;% iy4rln5qm33.DiscreteFilter_NumCoef
	  section.data(98).logicalSrcIdx = 97;
	  section.data(98).dtTransOffset = 102;
	
	  ;% iy4rln5qm33.DiscreteFilter_DenCoef
	  section.data(99).logicalSrcIdx = 98;
	  section.data(99).dtTransOffset = 103;
	
	  ;% iy4rln5qm33.DiscreteFilter_InitialStates
	  section.data(100).logicalSrcIdx = 99;
	  section.data(100).dtTransOffset = 105;
	
	  ;% iy4rln5qm33.Filter_NumCoef
	  section.data(101).logicalSrcIdx = 100;
	  section.data(101).dtTransOffset = 106;
	
	  ;% iy4rln5qm33.Filter_DenCoef
	  section.data(102).logicalSrcIdx = 101;
	  section.data(102).dtTransOffset = 107;
	
	  ;% iy4rln5qm33.Filter_InitialStates
	  section.data(103).logicalSrcIdx = 102;
	  section.data(103).dtTransOffset = 109;
	
	  ;% iy4rln5qm33.TSamp_WtEt
	  section.data(104).logicalSrcIdx = 103;
	  section.data(104).dtTransOffset = 110;
	
	  ;% iy4rln5qm33.Filter1_NumCoef
	  section.data(105).logicalSrcIdx = 104;
	  section.data(105).dtTransOffset = 111;
	
	  ;% iy4rln5qm33.Filter1_DenCoef
	  section.data(106).logicalSrcIdx = 105;
	  section.data(106).dtTransOffset = 112;
	
	  ;% iy4rln5qm33.Filter1_InitialStates
	  section.data(107).logicalSrcIdx = 106;
	  section.data(107).dtTransOffset = 114;
	
	  ;% iy4rln5qm33.TSamp_WtEt_f34f0xws2r
	  section.data(108).logicalSrcIdx = 107;
	  section.data(108).dtTransOffset = 115;
	
	  ;% iy4rln5qm33._UpperSat_ibsdgremwt
	  section.data(109).logicalSrcIdx = 108;
	  section.data(109).dtTransOffset = 116;
	
	  ;% iy4rln5qm33._LowerSat_ndboqtx1on
	  section.data(110).logicalSrcIdx = 109;
	  section.data(110).dtTransOffset = 117;
	
	  ;% iy4rln5qm33.Delay1_InitialCondition
	  section.data(111).logicalSrcIdx = 110;
	  section.data(111).dtTransOffset = 118;
	
	  ;% iy4rln5qm33._UpperSat_giu4mzv4tm
	  section.data(112).logicalSrcIdx = 111;
	  section.data(112).dtTransOffset = 119;
	
	  ;% iy4rln5qm33._LowerSat_nu22adsg3m
	  section.data(113).logicalSrcIdx = 112;
	  section.data(113).dtTransOffset = 120;
	
	  ;% iy4rln5qm33.CalcLight_OnVal
	  section.data(114).logicalSrcIdx = 113;
	  section.data(114).dtTransOffset = 121;
	
	  ;% iy4rln5qm33.CalcLight_OffVal
	  section.data(115).logicalSrcIdx = 114;
	  section.data(115).dtTransOffset = 122;
	
	  ;% iy4rln5qm33.Gain1_Gain_ikp5iym3nq
	  section.data(116).logicalSrcIdx = 115;
	  section.data(116).dtTransOffset = 123;
	
	  ;% iy4rln5qm33.Constant3_Value_pu34ygeird
	  section.data(117).logicalSrcIdx = 116;
	  section.data(117).dtTransOffset = 124;
	
	  ;% iy4rln5qm33.Gain2_Gain
	  section.data(118).logicalSrcIdx = 117;
	  section.data(118).dtTransOffset = 125;
	
	  ;% iy4rln5qm33.Gain1_Gain_akfjbwbzyo
	  section.data(119).logicalSrcIdx = 118;
	  section.data(119).dtTransOffset = 126;
	
	  ;% iy4rln5qm33.Constant3_Value_mg1jjelv3k
	  section.data(120).logicalSrcIdx = 119;
	  section.data(120).dtTransOffset = 127;
	
	  ;% iy4rln5qm33.Gain_Gain_a5you0zo4i
	  section.data(121).logicalSrcIdx = 120;
	  section.data(121).dtTransOffset = 128;
	
	  ;% iy4rln5qm33.Constant2_Value
	  section.data(122).logicalSrcIdx = 121;
	  section.data(122).dtTransOffset = 129;
	
	  ;% iy4rln5qm33.Gain1_Gain_cj32li2uv2
	  section.data(123).logicalSrcIdx = 122;
	  section.data(123).dtTransOffset = 130;
	
	  ;% iy4rln5qm33.DiscreteTimeIntegrator1_gainval
	  section.data(124).logicalSrcIdx = 123;
	  section.data(124).dtTransOffset = 131;
	
	  ;% iy4rln5qm33.DiscreteTimeIntegrator1_IC
	  section.data(125).logicalSrcIdx = 124;
	  section.data(125).dtTransOffset = 132;
	
	  ;% iy4rln5qm33.DiscreteTimeIntegrator2_gainval
	  section.data(126).logicalSrcIdx = 125;
	  section.data(126).dtTransOffset = 133;
	
	  ;% iy4rln5qm33.DiscreteTimeIntegrator2_IC
	  section.data(127).logicalSrcIdx = 126;
	  section.data(127).dtTransOffset = 134;
	
	  ;% iy4rln5qm33.DiscreteGyroP_gainval
	  section.data(128).logicalSrcIdx = 127;
	  section.data(128).dtTransOffset = 135;
	
	  ;% iy4rln5qm33.DiscreteGyroP_IC
	  section.data(129).logicalSrcIdx = 128;
	  section.data(129).dtTransOffset = 136;
	
	  ;% iy4rln5qm33.FixPtUnitDelay1_InitialConditio
	  section.data(130).logicalSrcIdx = 129;
	  section.data(130).dtTransOffset = 137;
	
	  ;% iy4rln5qm33.Gain2_Gain_iknfgntfyn
	  section.data(131).logicalSrcIdx = 130;
	  section.data(131).dtTransOffset = 138;
	
	  ;% iy4rln5qm33.Gain4_Gain
	  section.data(132).logicalSrcIdx = 131;
	  section.data(132).dtTransOffset = 139;
	
	  ;% iy4rln5qm33.DiscreteGyroI1_gainval
	  section.data(133).logicalSrcIdx = 132;
	  section.data(133).dtTransOffset = 140;
	
	  ;% iy4rln5qm33.DiscreteGyroI1_IC
	  section.data(134).logicalSrcIdx = 133;
	  section.data(134).dtTransOffset = 141;
	
	  ;% iy4rln5qm33.Filter_NumCoef_f3neugbdum
	  section.data(135).logicalSrcIdx = 134;
	  section.data(135).dtTransOffset = 142;
	
	  ;% iy4rln5qm33.Filter_DenCoef_opkx5sp0hf
	  section.data(136).logicalSrcIdx = 135;
	  section.data(136).dtTransOffset = 143;
	
	  ;% iy4rln5qm33.Filter_InitialStates_dxkok04tlz
	  section.data(137).logicalSrcIdx = 136;
	  section.data(137).dtTransOffset = 145;
	
	  ;% iy4rln5qm33.TSamp_WtEt_mc4loq2hmx
	  section.data(138).logicalSrcIdx = 137;
	  section.data(138).dtTransOffset = 146;
	
	  ;% iy4rln5qm33.Constant2_Value_fm5gnbjkca
	  section.data(139).logicalSrcIdx = 138;
	  section.data(139).dtTransOffset = 147;
	
	  ;% iy4rln5qm33.Constant1_Value_jkoszay1cg
	  section.data(140).logicalSrcIdx = 139;
	  section.data(140).dtTransOffset = 148;
	
	  ;% iy4rln5qm33.DiscreteGyroI1_gainv_kaxwfogxjc
	  section.data(141).logicalSrcIdx = 140;
	  section.data(141).dtTransOffset = 149;
	
	  ;% iy4rln5qm33.DiscreteGyroI1_IC_chipli5w3k
	  section.data(142).logicalSrcIdx = 141;
	  section.data(142).dtTransOffset = 150;
	
	  ;% iy4rln5qm33.Filter_NumCoef_mx1yckzywg
	  section.data(143).logicalSrcIdx = 142;
	  section.data(143).dtTransOffset = 151;
	
	  ;% iy4rln5qm33.Filter_DenCoef_bl2h5mwki1
	  section.data(144).logicalSrcIdx = 143;
	  section.data(144).dtTransOffset = 152;
	
	  ;% iy4rln5qm33.Filter_InitialStates_eju5cykg3c
	  section.data(145).logicalSrcIdx = 144;
	  section.data(145).dtTransOffset = 154;
	
	  ;% iy4rln5qm33.TSamp_WtEt_fljwj5ifwe
	  section.data(146).logicalSrcIdx = 145;
	  section.data(146).dtTransOffset = 155;
	
	  ;% iy4rln5qm33.Constant_Value
	  section.data(147).logicalSrcIdx = 146;
	  section.data(147).dtTransOffset = 156;
	
	  ;% iy4rln5qm33.Constant_Value_cfrir1ponu
	  section.data(148).logicalSrcIdx = 147;
	  section.data(148).dtTransOffset = 157;
	
	  ;% iy4rln5qm33.Switch_Threshold
	  section.data(149).logicalSrcIdx = 148;
	  section.data(149).dtTransOffset = 158;
	
	  ;% iy4rln5qm33.Constant_Value_pidnqqr40v
	  section.data(150).logicalSrcIdx = 149;
	  section.data(150).dtTransOffset = 159;
	
	  ;% iy4rln5qm33.DiscreteGyroI_gainval
	  section.data(151).logicalSrcIdx = 150;
	  section.data(151).dtTransOffset = 160;
	
	  ;% iy4rln5qm33.DiscreteGyroI_IC
	  section.data(152).logicalSrcIdx = 151;
	  section.data(152).dtTransOffset = 161;
	
	  ;% iy4rln5qm33.Gain1_Gain_n4a2nlwzsh
	  section.data(153).logicalSrcIdx = 152;
	  section.data(153).dtTransOffset = 162;
	
	  ;% iy4rln5qm33.Battery_Sim_Value
	  section.data(154).logicalSrcIdx = 153;
	  section.data(154).dtTransOffset = 163;
	
	  ;% iy4rln5qm33.Gain3_Gain
	  section.data(155).logicalSrcIdx = 154;
	  section.data(155).dtTransOffset = 164;
	
	  ;% iy4rln5qm33.Constant_Value_nr5mhydsi5
	  section.data(156).logicalSrcIdx = 155;
	  section.data(156).dtTransOffset = 165;
	
	  ;% iy4rln5qm33.Gain1_Gain_ff5q5ed2ru
	  section.data(157).logicalSrcIdx = 156;
	  section.data(157).dtTransOffset = 166;
	
	  ;% iy4rln5qm33.Gain3_Gain_kt5wfdv2eu
	  section.data(158).logicalSrcIdx = 157;
	  section.data(158).dtTransOffset = 167;
	
	  ;% iy4rln5qm33.Saturation_UpperSat
	  section.data(159).logicalSrcIdx = 158;
	  section.data(159).dtTransOffset = 168;
	
	  ;% iy4rln5qm33.Saturation_LowerSat
	  section.data(160).logicalSrcIdx = 159;
	  section.data(160).dtTransOffset = 169;
	
	  ;% iy4rln5qm33.Saturation_UpperSat_fxisx55jfh
	  section.data(161).logicalSrcIdx = 160;
	  section.data(161).dtTransOffset = 170;
	
	  ;% iy4rln5qm33.Saturation_LowerSat_bft0nw3hrr
	  section.data(162).logicalSrcIdx = 161;
	  section.data(162).dtTransOffset = 171;
	
	  ;% iy4rln5qm33.average_Gain
	  section.data(163).logicalSrcIdx = 162;
	  section.data(163).dtTransOffset = 172;
	
	  ;% iy4rln5qm33.average1_Gain
	  section.data(164).logicalSrcIdx = 163;
	  section.data(164).dtTransOffset = 173;
	
	  ;% iy4rln5qm33.average3_Gain
	  section.data(165).logicalSrcIdx = 164;
	  section.data(165).dtTransOffset = 174;
	
	  ;% iy4rln5qm33.average4_Gain
	  section.data(166).logicalSrcIdx = 165;
	  section.data(166).dtTransOffset = 175;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.Gain1_Gain_edopox2oep
	  section.data(1).logicalSrcIdx = 166;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(2) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.Delay1_DelayLength
	  section.data(1).logicalSrcIdx = 167;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.Delay_DelayLength
	  section.data(2).logicalSrcIdx = 168;
	  section.data(2).dtTransOffset = 1;
	
	  ;% iy4rln5qm33.Speaker_p2
	  section.data(3).logicalSrcIdx = 169;
	  section.data(3).dtTransOffset = 2;
	
	  ;% iy4rln5qm33.Speaker_p3
	  section.data(4).logicalSrcIdx = 170;
	  section.data(4).dtTransOffset = 3;
	
	  ;% iy4rln5qm33.Speaker_p4
	  section.data(5).logicalSrcIdx = 171;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(3) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.ManualSwitch_CurrentSetting
	  section.data(1).logicalSrcIdx = 172;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.FixPtUnitDelay2_InitialConditio
	  section.data(2).logicalSrcIdx = 173;
	  section.data(2).dtTransOffset = 1;
	
	  ;% iy4rln5qm33._CurrentSetting
	  section.data(3).logicalSrcIdx = 174;
	  section.data(3).dtTransOffset = 2;
	
	  ;% iy4rln5qm33.FixPtConstant_Value
	  section.data(4).logicalSrcIdx = 175;
	  section.data(4).dtTransOffset = 3;
	
	  ;% iy4rln5qm33.Speaker_p1
	  section.data(5).logicalSrcIdx = 176;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(4) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.Out_Y0_mkbcb5g0lx
	  section.data(1).logicalSrcIdx = 177;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.Delay_InitialCondition
	  section.data(2).logicalSrcIdx = 178;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(5) = section;
      clear section
      
      section.nData     = 9;
      section.data(9)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.pdqr4sqiiz.Saturation_UpperSat
	  section.data(1).logicalSrcIdx = 179;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.Saturation_LowerSat
	  section.data(2).logicalSrcIdx = 180;
	  section.data(2).dtTransOffset = 1;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.Constant_Value
	  section.data(3).logicalSrcIdx = 181;
	  section.data(3).dtTransOffset = 2;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.Constant2_Value
	  section.data(4).logicalSrcIdx = 182;
	  section.data(4).dtTransOffset = 3;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.Switch1_Threshold
	  section.data(5).logicalSrcIdx = 183;
	  section.data(5).dtTransOffset = 4;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.Switch2_Threshold
	  section.data(6).logicalSrcIdx = 184;
	  section.data(6).dtTransOffset = 5;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.DiscreteFilter_NumCoef
	  section.data(7).logicalSrcIdx = 185;
	  section.data(7).dtTransOffset = 6;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.DiscreteFilter_DenCoef
	  section.data(8).logicalSrcIdx = 186;
	  section.data(8).dtTransOffset = 7;
	
	  ;% iy4rln5qm33.pdqr4sqiiz.DiscreteFilter_InitialStates
	  section.data(9).logicalSrcIdx = 187;
	  section.data(9).dtTransOffset = 9;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(6) = section;
      clear section
      
      section.nData     = 9;
      section.data(9)  = dumData; %prealloc
      
	  ;% iy4rln5qm33.kpu1qows1li.Saturation_UpperSat
	  section.data(1).logicalSrcIdx = 188;
	  section.data(1).dtTransOffset = 0;
	
	  ;% iy4rln5qm33.kpu1qows1li.Saturation_LowerSat
	  section.data(2).logicalSrcIdx = 189;
	  section.data(2).dtTransOffset = 1;
	
	  ;% iy4rln5qm33.kpu1qows1li.Constant_Value
	  section.data(3).logicalSrcIdx = 190;
	  section.data(3).dtTransOffset = 2;
	
	  ;% iy4rln5qm33.kpu1qows1li.Constant2_Value
	  section.data(4).logicalSrcIdx = 191;
	  section.data(4).dtTransOffset = 3;
	
	  ;% iy4rln5qm33.kpu1qows1li.Switch1_Threshold
	  section.data(5).logicalSrcIdx = 192;
	  section.data(5).dtTransOffset = 4;
	
	  ;% iy4rln5qm33.kpu1qows1li.Switch2_Threshold
	  section.data(6).logicalSrcIdx = 193;
	  section.data(6).dtTransOffset = 5;
	
	  ;% iy4rln5qm33.kpu1qows1li.DiscreteFilter_NumCoef
	  section.data(7).logicalSrcIdx = 194;
	  section.data(7).dtTransOffset = 6;
	
	  ;% iy4rln5qm33.kpu1qows1li.DiscreteFilter_DenCoef
	  section.data(8).logicalSrcIdx = 195;
	  section.data(8).dtTransOffset = 7;
	
	  ;% iy4rln5qm33.kpu1qows1li.DiscreteFilter_InitialStates
	  section.data(9).logicalSrcIdx = 196;
	  section.data(9).dtTransOffset = 9;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(7) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 5;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (ioxwjchglxt)
    ;%
      section.nData     = 48;
      section.data(48)  = dumData; %prealloc
      
	  ;% ioxwjchglxt.ii1xze4rcq
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% ioxwjchglxt.owhddgsam4
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% ioxwjchglxt.ix1j55hqxd
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% ioxwjchglxt.brq5t1my3t
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% ioxwjchglxt.mq3cptoimo
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% ioxwjchglxt.in1o1lkfba
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% ioxwjchglxt.gvehnniu2t
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% ioxwjchglxt.omhn3ehj01
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% ioxwjchglxt.gsx3dq5tas
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% ioxwjchglxt.pfntuf1qzy
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% ioxwjchglxt.kuzemxklde
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
	  ;% ioxwjchglxt.ikxxvsx35l
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 11;
	
	  ;% ioxwjchglxt.hsa3nhyn51
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 12;
	
	  ;% ioxwjchglxt.ly0ssppt2i
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 13;
	
	  ;% ioxwjchglxt.kxz3lat3sd
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 14;
	
	  ;% ioxwjchglxt.cxgr153spt
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 15;
	
	  ;% ioxwjchglxt.e4ernmrjo4
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 16;
	
	  ;% ioxwjchglxt.ghub3itmo2
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 17;
	
	  ;% ioxwjchglxt.iekqqzeczb
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 18;
	
	  ;% ioxwjchglxt.h4h3xu5ddb
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 19;
	
	  ;% ioxwjchglxt.ghu3yoctq3
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 20;
	
	  ;% ioxwjchglxt.i3iht1sjow
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 21;
	
	  ;% ioxwjchglxt.nhtqnxvjnu
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 22;
	
	  ;% ioxwjchglxt.kzag54kgwt
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 23;
	
	  ;% ioxwjchglxt.oxrwzmen3t
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 24;
	
	  ;% ioxwjchglxt.d0hjkzu3yt
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 25;
	
	  ;% ioxwjchglxt.c2c1lmpf1x
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 26;
	
	  ;% ioxwjchglxt.or4bwqgo1y
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 27;
	
	  ;% ioxwjchglxt.im0usldhyc
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 28;
	
	  ;% ioxwjchglxt.lfuunrjvoi
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 29;
	
	  ;% ioxwjchglxt.bmstcut355
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 30;
	
	  ;% ioxwjchglxt.ib4omnh4vz
	  section.data(32).logicalSrcIdx = 31;
	  section.data(32).dtTransOffset = 31;
	
	  ;% ioxwjchglxt.okiuhgdn4m
	  section.data(33).logicalSrcIdx = 32;
	  section.data(33).dtTransOffset = 32;
	
	  ;% ioxwjchglxt.gqbi4iggbq
	  section.data(34).logicalSrcIdx = 33;
	  section.data(34).dtTransOffset = 33;
	
	  ;% ioxwjchglxt.cw13turq4q
	  section.data(35).logicalSrcIdx = 34;
	  section.data(35).dtTransOffset = 34;
	
	  ;% ioxwjchglxt.bvbyy5qpf0
	  section.data(36).logicalSrcIdx = 35;
	  section.data(36).dtTransOffset = 35;
	
	  ;% ioxwjchglxt.klchvyvoyg
	  section.data(37).logicalSrcIdx = 36;
	  section.data(37).dtTransOffset = 36;
	
	  ;% ioxwjchglxt.g3otjdznec
	  section.data(38).logicalSrcIdx = 37;
	  section.data(38).dtTransOffset = 37;
	
	  ;% ioxwjchglxt.lpm3jqa2yr
	  section.data(39).logicalSrcIdx = 38;
	  section.data(39).dtTransOffset = 38;
	
	  ;% ioxwjchglxt.lzh3hj0fuf
	  section.data(40).logicalSrcIdx = 39;
	  section.data(40).dtTransOffset = 39;
	
	  ;% ioxwjchglxt.mbfupx0qnc
	  section.data(41).logicalSrcIdx = 40;
	  section.data(41).dtTransOffset = 40;
	
	  ;% ioxwjchglxt.nvhkff0l4f
	  section.data(42).logicalSrcIdx = 41;
	  section.data(42).dtTransOffset = 41;
	
	  ;% ioxwjchglxt.jsuw32hwm0
	  section.data(43).logicalSrcIdx = 42;
	  section.data(43).dtTransOffset = 42;
	
	  ;% ioxwjchglxt.dtl3o4qc3w
	  section.data(44).logicalSrcIdx = 43;
	  section.data(44).dtTransOffset = 43;
	
	  ;% ioxwjchglxt.c5yfumem34
	  section.data(45).logicalSrcIdx = 44;
	  section.data(45).dtTransOffset = 44;
	
	  ;% ioxwjchglxt.jevvv2hliu
	  section.data(46).logicalSrcIdx = 45;
	  section.data(46).dtTransOffset = 45;
	
	  ;% ioxwjchglxt.ildok5f4er
	  section.data(47).logicalSrcIdx = 46;
	  section.data(47).dtTransOffset = 46;
	
	  ;% ioxwjchglxt.jvtyo3tncn
	  section.data(48).logicalSrcIdx = 47;
	  section.data(48).dtTransOffset = 47;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% ioxwjchglxt.njzyw2rim0
	  section.data(1).logicalSrcIdx = 48;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% ioxwjchglxt.malpewvvbf
	  section.data(1).logicalSrcIdx = 49;
	  section.data(1).dtTransOffset = 0;
	
	  ;% ioxwjchglxt.jrq5ihmebi
	  section.data(2).logicalSrcIdx = 50;
	  section.data(2).dtTransOffset = 1;
	
	  ;% ioxwjchglxt.dscqfbhcee
	  section.data(3).logicalSrcIdx = 51;
	  section.data(3).dtTransOffset = 2;
	
	  ;% ioxwjchglxt.otarh3cxid
	  section.data(4).logicalSrcIdx = 52;
	  section.data(4).dtTransOffset = 3;
	
	  ;% ioxwjchglxt.oxyxjdu1zh
	  section.data(5).logicalSrcIdx = 53;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(3) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% ioxwjchglxt.pdqr4sqiiz.etczsb5bzr
	  section.data(1).logicalSrcIdx = 54;
	  section.data(1).dtTransOffset = 0;
	
	  ;% ioxwjchglxt.pdqr4sqiiz.ed4p2zsioa
	  section.data(2).logicalSrcIdx = 56;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(4) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% ioxwjchglxt.kpu1qows1li.etczsb5bzr
	  section.data(1).logicalSrcIdx = 57;
	  section.data(1).dtTransOffset = 0;
	
	  ;% ioxwjchglxt.kpu1qows1li.ed4p2zsioa
	  section.data(2).logicalSrcIdx = 59;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(5) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 8;
    sectIdxOffset = 5;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (hcnptwm5tyc)
    ;%
      section.nData     = 26;
      section.data(26)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.c50few5kny
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% hcnptwm5tyc.ndsc4z0lxz
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% hcnptwm5tyc.nynbmh2vgu
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% hcnptwm5tyc.gvu5fegtc1
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% hcnptwm5tyc.gpvi3tnnem
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% hcnptwm5tyc.hmlqg2w5fk
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% hcnptwm5tyc.cbtb2gj2hg
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% hcnptwm5tyc.odnuq51m4m
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 7;
	
	  ;% hcnptwm5tyc.o2ttdvn3lh
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 8;
	
	  ;% hcnptwm5tyc.o2lfiwvfyi
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 9;
	
	  ;% hcnptwm5tyc.oaix543om1
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 10;
	
	  ;% hcnptwm5tyc.npuwiwdqe0
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 11;
	
	  ;% hcnptwm5tyc.lp4eescxsv
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 12;
	
	  ;% hcnptwm5tyc.dljn4e1n1v
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 13;
	
	  ;% hcnptwm5tyc.hte40akfn0
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 14;
	
	  ;% hcnptwm5tyc.fuqosdvlox
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 15;
	
	  ;% hcnptwm5tyc.ldltg3hzna
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 16;
	
	  ;% hcnptwm5tyc.bwne2layi0
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 17;
	
	  ;% hcnptwm5tyc.dkiokan51l
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 18;
	
	  ;% hcnptwm5tyc.cghfuja3k2
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 19;
	
	  ;% hcnptwm5tyc.bn1uosawko
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 20;
	
	  ;% hcnptwm5tyc.j4fm20j2h4
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 21;
	
	  ;% hcnptwm5tyc.bgps3rrue2
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 22;
	
	  ;% hcnptwm5tyc.ek334zy5oe
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 23;
	
	  ;% hcnptwm5tyc.dazfx5q31j
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 24;
	
	  ;% hcnptwm5tyc.dazfx5q31jx
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 25;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.ir5zm2opvj.LoggedData
	  section.data(1).logicalSrcIdx = 26;
	  section.data(1).dtTransOffset = 0;
	
	  ;% hcnptwm5tyc.kvvi0wr0ts.LoggedData
	  section.data(2).logicalSrcIdx = 27;
	  section.data(2).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.c114ugunqx
	  section.data(1).logicalSrcIdx = 28;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(3) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.gwoxypdjux
	  section.data(1).logicalSrcIdx = 29;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(4) = section;
      clear section
      
      section.nData     = 20;
      section.data(20)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.orzjfoxgqq
	  section.data(1).logicalSrcIdx = 30;
	  section.data(1).dtTransOffset = 0;
	
	  ;% hcnptwm5tyc.e0ypr0md3p
	  section.data(2).logicalSrcIdx = 31;
	  section.data(2).dtTransOffset = 1;
	
	  ;% hcnptwm5tyc.k4uhy0sxhy
	  section.data(3).logicalSrcIdx = 32;
	  section.data(3).dtTransOffset = 2;
	
	  ;% hcnptwm5tyc.lcl5cb4o0h
	  section.data(4).logicalSrcIdx = 33;
	  section.data(4).dtTransOffset = 3;
	
	  ;% hcnptwm5tyc.ixw0tjlwk3
	  section.data(5).logicalSrcIdx = 34;
	  section.data(5).dtTransOffset = 4;
	
	  ;% hcnptwm5tyc.ddz0dsclt4
	  section.data(6).logicalSrcIdx = 35;
	  section.data(6).dtTransOffset = 5;
	
	  ;% hcnptwm5tyc.ejdaprets0
	  section.data(7).logicalSrcIdx = 36;
	  section.data(7).dtTransOffset = 6;
	
	  ;% hcnptwm5tyc.obs3djylun
	  section.data(8).logicalSrcIdx = 37;
	  section.data(8).dtTransOffset = 7;
	
	  ;% hcnptwm5tyc.obs3djyluny
	  section.data(9).logicalSrcIdx = 38;
	  section.data(9).dtTransOffset = 8;
	
	  ;% hcnptwm5tyc.gf1rua3uic
	  section.data(10).logicalSrcIdx = 39;
	  section.data(10).dtTransOffset = 9;
	
	  ;% hcnptwm5tyc.md1sc0u55i
	  section.data(11).logicalSrcIdx = 40;
	  section.data(11).dtTransOffset = 10;
	
	  ;% hcnptwm5tyc.dseviudlp4
	  section.data(12).logicalSrcIdx = 41;
	  section.data(12).dtTransOffset = 11;
	
	  ;% hcnptwm5tyc.hgpgosns2i
	  section.data(13).logicalSrcIdx = 42;
	  section.data(13).dtTransOffset = 12;
	
	  ;% hcnptwm5tyc.dmluvephii
	  section.data(14).logicalSrcIdx = 43;
	  section.data(14).dtTransOffset = 13;
	
	  ;% hcnptwm5tyc.fxuhgkwauy
	  section.data(15).logicalSrcIdx = 44;
	  section.data(15).dtTransOffset = 14;
	
	  ;% hcnptwm5tyc.nmpf2lzpvy
	  section.data(16).logicalSrcIdx = 45;
	  section.data(16).dtTransOffset = 15;
	
	  ;% hcnptwm5tyc.kyzk2yh0eq
	  section.data(17).logicalSrcIdx = 46;
	  section.data(17).dtTransOffset = 16;
	
	  ;% hcnptwm5tyc.fo5xjdgme4
	  section.data(18).logicalSrcIdx = 47;
	  section.data(18).dtTransOffset = 17;
	
	  ;% hcnptwm5tyc.m51iuuqeok
	  section.data(19).logicalSrcIdx = 48;
	  section.data(19).dtTransOffset = 18;
	
	  ;% hcnptwm5tyc.kwdjkceahu
	  section.data(20).logicalSrcIdx = 49;
	  section.data(20).dtTransOffset = 19;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(5) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.inay5lsquo
	  section.data(1).logicalSrcIdx = 50;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(6) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.pdqr4sqiiz.hwfn5pxuhn
	  section.data(1).logicalSrcIdx = 51;
	  section.data(1).dtTransOffset = 0;
	
	  ;% hcnptwm5tyc.pdqr4sqiiz.k5zmu4lsas
	  section.data(2).logicalSrcIdx = 52;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(7) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% hcnptwm5tyc.kpu1qows1li.hwfn5pxuhn
	  section.data(1).logicalSrcIdx = 53;
	  section.data(1).dtTransOffset = 0;
	
	  ;% hcnptwm5tyc.kpu1qows1li.k5zmu4lsas
	  section.data(2).logicalSrcIdx = 54;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(8) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 3881750032;
  targMap.checksum1 = 3100239783;
  targMap.checksum2 = 3139921577;
  targMap.checksum3 = 1054795889;

