% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
%
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
%
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
%
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
function sinit
global systemValue
%
global defValue;
defValue.sGyroP          = 1.1;
defValue.sGyroI          = 0;
defValue.sGyroD          = 0.07;
defValue.sWheelP         = 0.0145;
defValue.sWheelI         = 0.0078;
defValue.sWheelD         = 0.023;

%ȉ͐ffW[pp[^
assignin('base', 'sGP', defValue.sGyroP);
assignin('base', 'sGI', defValue.sGyroI);
assignin('base', 'sGD', defValue.sGyroD);
assignin('base', 'sWP', defValue.sWheelP);
assignin('base', 'sWI', defValue.sWheelI);
assignin('base', 'sWD', defValue.sWheelD);
%ȉSPRTpp[^
tmpSPRT.VAR     = 0.1;
tmpSPRT.AVR     = 0;
tmpSPRT.AVR_L   = 1;
tmpSPRT.AVR_H   = 1;
tmpSPRT.VAR_L   = 0.5 * tmpSPRT.VAR;
tmpSPRT.VAR_H   = 2 * tmpSPRT.VAR;
tmpSPRT.STD     = sqrt(tmpSPRT.VAR);
tmpSPRT.mL      = tmpSPRT.AVR - (tmpSPRT.STD * tmpSPRT.AVR_L);
tmpSPRT.vL      = tmpSPRT.VAR_L;
tmpSPRT.mH      = tmpSPRT.AVR + (tmpSPRT.STD * tmpSPRT.AVR_H);
tmpSPRT.vH      = tmpSPRT.VAR_H;
tmpSPRT.mm      = tmpSPRT.AVR;
tmpSPRT.vv      = tmpSPRT.VAR;
tmpSPRT.fRate   = 0.01;
tmpSPRT.mRate   = 0.001;
tmpSPRT.A       = log((1 - tmpSPRT.mRate) / tmpSPRT.fRate);
tmpSPRT.B       = log(tmpSPRT.mRate / (1 - tmpSPRT.fRate));
tmpSPRT.vc1     = log(tmpSPRT.vv/tmpSPRT.vH);
tmpSPRT.vc2     = 1/tmpSPRT.vv-1/tmpSPRT.vH;
defValue.SPRT = tmpSPRT;
assignin('base', 'VAR', defValue.SPRT.VAR);
assignin('base', 'VAR_L', defValue.SPRT.VAR_L);
assignin('base', 'VAR_H', defValue.SPRT.VAR_H);
assignin('base', 'AVR', defValue.SPRT.AVR);
assignin('base', 'AVR_L', defValue.SPRT.AVR_L);
assignin('base', 'AVR_H', defValue.SPRT.AVR_H);
assignin('base', 'STD', defValue.SPRT.STD);
assignin('base', 'mL', defValue.SPRT.mL);
assignin('base', 'vL', defValue.SPRT.vL);
assignin('base', 'mH', defValue.SPRT.mH);
assignin('base', 'vH', defValue.SPRT.vH);
assignin('base', 'mm', defValue.SPRT.mm);
assignin('base', 'vv', defValue.SPRT.vv);
assignin('base', 'fRate', defValue.SPRT.fRate);
assignin('base', 'mRate', defValue.SPRT.mRate);
assignin('base', 'A', defValue.SPRT.A);
assignin('base', 'B', defValue.SPRT.B);
assignin('base', 'vc1', defValue.SPRT.vc1);
assignin('base', 'vc2', defValue.SPRT.vc2);
end
