% -----------------------------------------------------------------------------------
% Copyright (c) <2016>, <Information-technology Promotion Agency, Japan>
% All rights reserved.
%
% Redistribution and use in source and binary forms, with or without modification,
% are permitted provided that the following conditions are met:
%
% 1. Redistributions of source code must retain the above copyright notice,
%    this list of conditions and the following disclaimer.
%
% 2. Redistributions in binary form must reproduce the above copyright notice,
%    this list of conditions and the following disclaimer in the documentation
%    and/or other materials provided with the distribution.

% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
% INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
% BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
% DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
% LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
% OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
% ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
% -----------------------------------------------------------------------------------
function pid = getOutputPortData_Controller_Theta(time)
try
    %pbh̏łĂȂꍇG[ƂȂ̂Ōقcatch
    padInput = joymex2('query',0);
    upFlag = 0;
    persistent buttonsLog;
    persistent stickLog;
    global objHandler;
    buttons = padInput.buttons;
    if size(buttonsLog,2) == size(buttons,2)
        if buttonsLog(2) == 0 && buttons(2) == 1
            assignin('base', 'EnableLineTrace',1);
            assignin('base', 'ProgramMode',2);   % Cg[X
            set(objHandler.ProgramMode.RunMode_LineTrace, 'Value', 1);
            upFlag = 1;
        end
        if buttonsLog(1) == 0 && buttons(1) == 1
            assignin('base', 'EnableLineTrace',0);
            assignin('base', 'ProgramMode',3);   % ~s
            set(objHandler.ProgramMode.RunMode_Ellipse, 'Value', 1);
            upFlag = 1;
        end
        if buttonsLog(5) == 0 && buttons(5) == 1
            assignin('base', 'EnableLineTrace',0);
            assignin('base', 'ProgramMode',4);   % `s
            set(objHandler.ProgramMode.RunMode_Square, 'Value', 1);
            upFlag = 1;
        end
        if buttonsLog(4) == 0 && buttons(4) == 1
            assignin('base', 'EnableLineTrace',0);
            assignin('base', 'ProgramMode',5);   % ȉ~s
            set(objHandler.ProgramMode.RunMode_Ellipse, 'Value', 1);
            upFlag = 1;
        end
        if buttonsLog(9) == 0 && buttons(9) == 1
            assignin('base', 'EnableCP',mod(evalin('base', 'EnableCP')+1,2));
            set(objHandler.ProgramMode.ch_CP, 'Value', evalin('base', 'EnableCP'));
            upFlag = 1;
        end
        if buttonsLog(10) == 0 && buttons(10) == 1
            assignin('base', 'EnableLineTrace',0);
            assignin('base', 'ProgramMode',0);
            set(objHandler.ProgramMode.RunMode_Stop, 'Value', 1);
            upFlag = 1;
        end
    end
    buttonsLog = buttons;
    % if evalin('base', 'goLeft') ~= padInput.hats.left
    %     assignin('base', 'goLeft',padInput.hats.left);
    %     upFlag = 1;
    % end
    % if evalin('base', 'goRight') ~= padInput.hats.right
    %     assignin('base', 'goRight', padInput.hats.right);
    %     upFlag = 1;
    % end
    % if evalin('base', 'goFor') ~= padInput.hats.up
    %     assignin('base', 'goFor',padInput.hats.up);
    %     upFlag = 1;
    % end
    % if evalin('base', 'goBack') ~= padInput.hats.down
    %     assignin('base', 'goBack',padInput.hats.down);
    %     upFlag = 1;
    % end
    
    %WCXeBbND悷邪Anbg(\L[)󂯕t
% if padInput.hats.right - padInput.hats.left ~= 0
%     assignin('base', 'goRightP',double((padInput.hats.right - padInput.hats.left)*15));
%     upFlag = 1;        
% end
% if padInput.hats.down - padInput.hats.up ~= 0
%     assignin('base', 'goBackP',double(padInput.hats.down - padInput.hats.up));
%     upFlag = 1;        
% end
    if (padInput.hats.right - padInput.hats.left)*15 ~= 0 && evalin('base', 'goRightP') ~= (padInput.hats.right - padInput.hats.left)*15
        assignin('base', 'goRightP',double((padInput.hats.right - padInput.hats.left)*15));
        upFlag = 1;        
    elseif evalin('base', 'goRightP') ~= double(padInput.axes(1) + 1)/2048
        assignin('base', 'goRightP',double(padInput.axes(1) + 1)/2048);
        upFlag = 1;
    end
    if (padInput.hats.down - padInput.hats.up) ~= 0 && evalin('base', 'goRightP') ~= (padInput.hats.down - padInput.hats.up)
        assignin('base', 'goBackP',double((padInput.hats.down - padInput.hats.up)));
        upFlag = 1;        
    elseif evalin('base', 'goBackP') ~= double(padInput.axes(2) + 1)/32768
        assignin('base', 'goBackP',double(padInput.axes(2) + 1)/32768);
        upFlag = 1;
    end
    if upFlag == 1;
        global systemValue
        set_param(systemValue.ModelFileName,'SimulationCommand','update');
    end
catch
    %pbh̏łĂȂꍇBpbh̔F݂B
    try
        joymex2('open',0);
    catch
    end
end